using System;
using CafeTerrace.Models.Api;
using CafeTerrace.Models.DataBase;
using CafeTerrace.ViewModels;
using Xamarin.Forms;

namespace CafeTerrace.Views
{
    public partial class FoodListedPage : ContentPage
    {
        public FoodListedPage()
        {
            InitializeComponent();
        }

        private void FoodItem_OnTapped(object sender, EventArgs e)
        {
            (BindingContext as FoodListedPageViewModel)?.SelectFood.Execute((sender as Frame).BindingContext as FoodForCategoryRoot);
        }
    }
}
